<PreferenceScreen xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android">

    <PreferenceCategory app:title="@string/pref_header_general">
        <EditTextPreference
            app:defaultValue="@string/pref_hostname_error"
            android:inputType="text"
            app:key="hostP2play"
            android:maxLines="1"
            android:selectAllOnFocus="true"
            android:singleLine="true"
            app:useSimpleSummaryProvider="true"
            app:title="@string/pref_hostname_title" />

        <SwitchPreference
            app:defaultValue="false"
            app:key="show_nsfw"
            app:summary="@string/pref_nfsw_description"
            app:title="@string/pref_nfsw_title" />

        <EditTextPreference
            app:defaultValue="15"
            android:inputType="number"
            app:key="videos_count"
            android:selectAllOnFocus="true"
            app:singleLine="true"
            app:useSimpleSummaryProvider="true"
            app:title="@string/pref_videos_count_title" />
    </PreferenceCategory>

</PreferenceScreen>